/**
 * jZebro 1.0.1 jQuery plugin
 * Very small and simple jQuery plugin that will make your table more convenient and at the same time beautiful.
 *
 * Project home page: http://www.vikkyshostak.ru/jzebro
 * Project page on GitHub: https://github.com/VikkyShostak/jZebro
 *
 * Author: Vikky Shostak
 * 2012/03/19
 */
 
jQuery.fn.jZebro = function(options) {

	/**
	 * Default options. You may change all of this classes or add your own options.
	 */

	var options = jQuery.extend({
	
			// That all are names of CSS classes in 
			// ./themes/default/jZebro.js directory
			
			thClasses :	"thFont thSize thColor thBg thPadding",
			tdClasses :	"tdFont tdSize tdColor tdBg tdPadding",
		trEvenClasses :	"trEven",
		 trOddClasses :	"trOdd",
			 divWidth : jQuery('div').width() - 20,
			divMargin : "10px auto"
		 
	}, options);
	
	/**
	 * Main function to apply option to each elements of <table>
	 */
	
	return this.each(function() {		
		
		/**
		 * Apply for <th>
		 */
		 
		jQuery(this).find('th')
					.attr('class', options.thClasses);
		
		/**
		 * Apply for <td>
		 */
		
		jQuery(this).find('td')
					.attr('class', options.tdClasses);
		
		/**
		 * Apply for <tbody> with all even <tr> in <table>
		 */
		 
		jQuery(this).find('tbody tr:even')
		            .attr('class', options.trEvenClasses);	            
		
		/**
		 * Apply for <tbody> with all odd <tr> in <table>
		 */
		 
        jQuery(this).find('tbody tr:odd')
                    .attr('class', options.trOddClasses);
		
		/**
		 * Resize and center <table> in <div>
		 */
		 
		jQuery('table').css({
				"width"  : options.divWidth,
				"margin" : options.divMargin
		});
        
	});
	
	

};